/**
 * @package 	WordPress
 * @subpackage 	Cash Bay
 * @version		1.0.0
 * 
 * Theme Content Composer Schortcodes Extend
 * Created by CMSMasters
 * 
 */


/**
 * Posts Slider Extend
 */

var posts_slider_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_posts_slider.fields) {
	if (id === 'amount') {
		delete cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	} else if (id === 'columns') {
		delete cmsmastersShortcodes.cmsmasters_posts_slider.fields[id]['depend'];
		
		
		posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	} else {
		posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_posts_slider.fields = posts_slider_new_fields;



/**
 * Posts Slider Extend
 */

var posts_slider_new_fields = {};


for (var id in cmsmastersShortcodes.cmsmasters_posts_slider.fields) {
	if (id === 'portfolio_metadata') {
		cmsmastersShortcodes.cmsmasters_posts_slider.fields[id]['choises'] = {
			'title' : 		cmsmasters_shortcodes.choice_title, 
			'categories' : 	cmsmasters_shortcodes.choice_categories, 
			'comments' : 	cmsmasters_shortcodes.choice_comments, 
			'likes' : 		cmsmasters_shortcodes.choice_likes 
		};
		
		
		posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	} else {
		posts_slider_new_fields[id] = cmsmastersShortcodes.cmsmasters_posts_slider.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_posts_slider.fields = posts_slider_new_fields;



/**
 * Portfolio Extend
 */
 
var portfolio_new_fields = {};

for (var id in cmsmastersShortcodes.cmsmasters_portfolio.fields) {
	if (id === 'filter_text') {
		delete cmsmastersShortcodes.cmsmasters_portfolio.fields[id];
	} else {
		portfolio_new_fields[id] = cmsmastersShortcodes.cmsmasters_portfolio.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_portfolio.fields = portfolio_new_fields;



/**
 * Icon Box Extend
 */

var cmsmasters_icon_box_new_fields = {};

for (var id in cmsmastersShortcodes.cmsmasters_icon_box.fields) {
	if (id === 'heading_type') {
		cmsmastersShortcodes.cmsmasters_icon_box.fields[id]['def'] = 'h4';
		
		
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	} else if (id === 'box_icon_size') {
		cmsmastersShortcodes.cmsmasters_icon_box.fields[id]['def'] = '50';
		
		
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	} else if (id === 'box_border_radius') {
		cmsmastersShortcodes.cmsmasters_icon_box.fields[id]['def'] = '5px 5px 5px 5px';
		
		
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	} else if (id === 'box_border_width') {
		cmsmastersShortcodes.cmsmasters_icon_box.fields[id]['def'] = '1';
		
		
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	} else if (id === 'box_bd_color') {
		cmsmastersShortcodes.cmsmasters_icon_box.fields[id]['def'] = cmsmasters_theme_shortcodes.cmsmasters_icon_box_border_color;
		
		
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	} else {
		cmsmasters_icon_box_new_fields[id] = cmsmastersShortcodes.cmsmasters_icon_box.fields[id];
	}
}


cmsmastersShortcodes.cmsmasters_icon_box.fields = cmsmasters_icon_box_new_fields;

