<?php
/**
 * @package 	WordPress
 * @subpackage 	Cash Bay
 * @version 	1.0.0
 * 
 * Theme Content Composer Functions
 * Created by CMSMasters
 * 
 */


/* Register JS Scripts */
function cash_bay_theme_register_c_c_scripts() {
	global $pagenow;
	
	$cmsmasters_option = cash_bay_get_global_options();
	
	if ( 
		$pagenow == 'post-new.php' || 
		($pagenow == 'post.php' && isset($_GET['post']) && get_post_type($_GET['post']) != 'attachment') 
	) {
		wp_enqueue_script('cash-bay-composer-shortcodes-extend', get_template_directory_uri() . '/theme-framework/theme-style' . CMSMASTERS_THEME_STYLE . '/cmsmasters-c-c/js/cmsmasters-c-c-theme-extend.js', array('cmsmasters_composer_shortcodes_js'), '1.0.0', true);
		
		wp_localize_script('cash-bay-composer-shortcodes-extend', 'cmsmasters_theme_shortcodes', array( 
			'cmsmasters_icon_box_border_color' => 		esc_html($cmsmasters_option['cash-bay_default_border'])
		));
	}
}

add_action('admin_enqueue_scripts', 'cash_bay_theme_register_c_c_scripts');

